Loading...
Searching...
No Matches
potf2: Cholesky panel factorization
Dense LA » Linear system solvers » Symmetric/Hermitian positive definite: Cholesky » Auxiliary routines

## Functions

magma_int_t | magma_cpotf2_native (magma_uplo_t uplo, magma_int_t n, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_int_t step, magma_int_t *device_info, magma_queue_t queue)
| cpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.
magma_int_t | magma_cpotf2_gpu (magma_uplo_t uplo, magma_int_t n, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| cpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.
magma_int_t | magma_dpotf2_native (magma_uplo_t uplo, magma_int_t n, magmaDouble_ptr dA, magma_int_t ldda, magma_int_t step, magma_int_t *device_info, magma_queue_t queue)
| dpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.
magma_int_t | magma_dpotf2_gpu (magma_uplo_t uplo, magma_int_t n, magmaDouble_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| dpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.
magma_int_t | magma_spotf2_native (magma_uplo_t uplo, magma_int_t n, magmaFloat_ptr dA, magma_int_t ldda, magma_int_t step, magma_int_t *device_info, magma_queue_t queue)
| spotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.
magma_int_t | magma_spotf2_gpu (magma_uplo_t uplo, magma_int_t n, magmaFloat_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| spotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.
magma_int_t | magma_zpotf2_native (magma_uplo_t uplo, magma_int_t n, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_int_t step, magma_int_t *device_info, magma_queue_t queue)
| zpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.
magma_int_t | magma_zpotf2_gpu (magma_uplo_t uplo, magma_int_t n, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| zpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.

## Detailed Description

## Function Documentation

## magma_cpotf2_native()

magma_int_t magma_cpotf2_native | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t | step,
|  | magma_int_t * | device_info,
|  | magma_queue_t | queue )

cpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.

The factorization has the form A = U**H * U, if UPLO = MagmaUpper, or A = L * L**H, if UPLO = MagmaLower, where U is an upper triangular matrix and L is lower triangular.

This is the unblocked version of the algorithm, calling Level 2 BLAS. This version accepts a device_info argument for the status of the factorization. Errors in the arguments are captured in a return code.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the symmetric matrix A is stored.
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the matrix A. N >= 0 and N <= 512.

  [in,out]

  dA

  COMPLEX array, dimension (LDDA,N) On entry, the symmetric matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced.
  On exit, if INFO = 0, the factor U or L from the Cholesky factorization A = U**H * U or A = L * L**H.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  device_info

  INTEGER (device memory)
  - = 0: successful exit
  - > 0: if INFO = k, the leading minor of order k is not positive definite, and the factorization could not be completed.

## magma_cpotf2_gpu()

magma_int_t magma_cpotf2_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

cpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.

The factorization has the form A = U**H * U, if UPLO = MagmaUpper, or A = L * L**H, if UPLO = MagmaLower, where U is an upper triangular matrix and L is lower triangular.

This is the unblocked version of the algorithm, calling Level 2 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the symmetric matrix A is stored.
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the matrix A. N >= 0 and N <= 512.

  [in,out]

  dA

  COMPLEX array, dimension (LDDA,N) On entry, the symmetric matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced.
  On exit, if INFO = 0, the factor U or L from the Cholesky factorization A = U**H * U or A = L * L**H.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value
  - > 0: if INFO = k, the leading minor of order k is not positive definite, and the factorization could not be completed.

## magma_dpotf2_native()

magma_int_t magma_dpotf2_native | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t | step,
|  | magma_int_t * | device_info,
|  | magma_queue_t | queue )

dpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.

The factorization has the form A = U**H * U, if UPLO = MagmaUpper, or A = L * L**H, if UPLO = MagmaLower, where U is an upper triangular matrix and L is lower triangular.

This is the unblocked version of the algorithm, calling Level 2 BLAS. This version accepts a device_info argument for the status of the factorization. Errors in the arguments are captured in a return code.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the symmetric matrix A is stored.
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the matrix A. N >= 0 and N <= 512.

  [in,out]

  dA

  DOUBLE PRECISION array, dimension (LDDA,N) On entry, the symmetric matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced.
  On exit, if INFO = 0, the factor U or L from the Cholesky factorization A = U**H * U or A = L * L**H.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  device_info

  INTEGER (device memory)
  - = 0: successful exit
  - > 0: if INFO = k, the leading minor of order k is not positive definite, and the factorization could not be completed.

## magma_dpotf2_gpu()

magma_int_t magma_dpotf2_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

dpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.

The factorization has the form A = U**H * U, if UPLO = MagmaUpper, or A = L * L**H, if UPLO = MagmaLower, where U is an upper triangular matrix and L is lower triangular.

This is the unblocked version of the algorithm, calling Level 2 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the symmetric matrix A is stored.
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the matrix A. N >= 0 and N <= 512.

  [in,out]

  dA

  DOUBLE PRECISION array, dimension (LDDA,N) On entry, the symmetric matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced.
  On exit, if INFO = 0, the factor U or L from the Cholesky factorization A = U**H * U or A = L * L**H.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value
  - > 0: if INFO = k, the leading minor of order k is not positive definite, and the factorization could not be completed.

## magma_spotf2_native()

magma_int_t magma_spotf2_native | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t | step,
|  | magma_int_t * | device_info,
|  | magma_queue_t | queue )

spotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.

The factorization has the form A = U**H * U, if UPLO = MagmaUpper, or A = L * L**H, if UPLO = MagmaLower, where U is an upper triangular matrix and L is lower triangular.

This is the unblocked version of the algorithm, calling Level 2 BLAS. This version accepts a device_info argument for the status of the factorization. Errors in the arguments are captured in a return code.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the symmetric matrix A is stored.
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the matrix A. N >= 0 and N <= 512.

  [in,out]

  dA

  REAL array, dimension (LDDA,N) On entry, the symmetric matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced.
  On exit, if INFO = 0, the factor U or L from the Cholesky factorization A = U**H * U or A = L * L**H.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  device_info

  INTEGER (device memory)
  - = 0: successful exit
  - > 0: if INFO = k, the leading minor of order k is not positive definite, and the factorization could not be completed.

## magma_spotf2_gpu()

magma_int_t magma_spotf2_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

spotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.

The factorization has the form A = U**H * U, if UPLO = MagmaUpper, or A = L * L**H, if UPLO = MagmaLower, where U is an upper triangular matrix and L is lower triangular.

This is the unblocked version of the algorithm, calling Level 2 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the symmetric matrix A is stored.
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the matrix A. N >= 0 and N <= 512.

  [in,out]

  dA

  REAL array, dimension (LDDA,N) On entry, the symmetric matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced.
  On exit, if INFO = 0, the factor U or L from the Cholesky factorization A = U**H * U or A = L * L**H.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value
  - > 0: if INFO = k, the leading minor of order k is not positive definite, and the factorization could not be completed.

## magma_zpotf2_native()

magma_int_t magma_zpotf2_native | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t | step,
|  | magma_int_t * | device_info,
|  | magma_queue_t | queue )

zpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.

The factorization has the form A = U**H * U, if UPLO = MagmaUpper, or A = L * L**H, if UPLO = MagmaLower, where U is an upper triangular matrix and L is lower triangular.

This is the unblocked version of the algorithm, calling Level 2 BLAS. This version accepts a device_info argument for the status of the factorization. Errors in the arguments are captured in a return code.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the symmetric matrix A is stored.
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the matrix A. N >= 0 and N <= 512.

  [in,out]

  dA

  COMPLEX_16 array, dimension (LDDA,N) On entry, the symmetric matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced.
  On exit, if INFO = 0, the factor U or L from the Cholesky factorization A = U**H * U or A = L * L**H.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  device_info

  INTEGER (device memory)
  - = 0: successful exit
  - > 0: if INFO = k, the leading minor of order k is not positive definite, and the factorization could not be completed.

## magma_zpotf2_gpu()

magma_int_t magma_zpotf2_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

zpotf2 computes the Cholesky factorization of a real symmetric positive definite matrix A.

The factorization has the form A = U**H * U, if UPLO = MagmaUpper, or A = L * L**H, if UPLO = MagmaLower, where U is an upper triangular matrix and L is lower triangular.

This is the unblocked version of the algorithm, calling Level 2 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the symmetric matrix A is stored.
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the matrix A. N >= 0 and N <= 512.

  [in,out]

  dA

  COMPLEX_16 array, dimension (LDDA,N) On entry, the symmetric matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced.
  On exit, if INFO = 0, the factor U or L from the Cholesky factorization A = U**H * U or A = L * L**H.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).
  [in] | queue | magma_queue_t Queue to execute in.

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value
  - > 0: if INFO = k, the leading minor of order k is not positive definite, and the factorization could not be completed.